V12.0
put
/ec-dc-svc/rest/v12.0/studies/{studyId}/{mode}/dataelements/{dataElementId}
Updates a single data element to return the additional information of list of child data elements and labs getting cleared with the update of the parent data element.
Code list values: For CHOICE data elements, retrieve the permitted label and values before submitting this request by using context.formId with the Designer API
Refer to the linked documentation for the Designer API request and response details. For each CHOICE item, select an option returned for the applicable item and submit its value in the matching dataElements[].value field using the CHOICE payload format, for example
Code list values: For CHOICE data elements, retrieve the permitted label and values before submitting this request by using context.formId with the Designer API
POST /ec-designer-svc/rest/v2.0/studies/{studyId}/forms/{formId}/choiceoptions. See Get choice options for a form.Refer to the linked documentation for the Designer API request and response details. For each CHOICE item, select an option returned for the applicable item and submit its value in the matching dataElements[].value field using the CHOICE payload format, for example
"value":"[{\"value\":\"1\",\"label\":\"Option A\"}]".Request
Path Parameters
-
dataElementId(required): string(UUID)
Unique identifier (UUID, 32-character uppercase hexadecimal string) of the underlying data element.Example:
1BC29B36F5D64B1B95F4BDBBCEA481BE -
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
active -
studyId(required): string(UUID)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
ABCDEF1234567890ABCDEF1234567890
Query Parameters
-
isDgCall: boolean
If the call from Digital Gateway / Digital Gateway Builder isDgCall will true and Cleardynamics won't be supported.Example:
true
Supported Media Types
- application/json
Nested Schema : DataElementDto14
Type:
Show Source
object-
comment: string
Minimum Length:
0Maximum Length:2048Comment for the data element changeExample:Captured by device -
dataFlag: string
(UUID)
Unique Data flag identifier(UUID, 32-character uppercase hexadecimal string).Example:
1BC29B36F5D64B1B95F4BDBBCEA481BE -
dateTimeValueUTC: string
(date-time)
Date-time value in UTCExample:
2025-10-16T14:30:31.892Z -
dayValue: integer
(int32)
Day part of dateExample:
16 -
eventId: string
(UUID)
Unique identifier(UUID, 32-character uppercase hexadecimal string) of the clinical event. A clinical event can be, for example: Screening, Randomization, Visit 1, etc. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
ADF5A7800A954FA5B831E7B6B9CA39A9 -
eventInstanceNum: integer
(int32)
Numeric value representing the instance number of the event. Used for repeated or unscheduled visits (e.g., 1, 2, 3). It is null for scheduled events.Example:
1 -
floatValue: number
(decimal)
Numeric decimal valueExample:
12.34 -
formId: string
(UUID)
Unique identifier(UUID, 32-character uppercase hexadecimal string) representing the clinical form.Example:
40DB4EF4847849CCB24EFCCB71CDA436 -
formSectionId: string
(UUID)
Unique identifier of the table within a two section form or lab form. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
B6E0C7D5A1F3428C8B8B6A77C5E9D4AA -
freezedStatus: string
Freeze status of the data element,can have Values NOT_APPLICABLE, FROZENExample:
FROZEN -
hdiId: string
(UUID)
Stores the ID as received from Oracle Clinical Conector (OCC). It could be different for each data element in a form, but can also be the same. Uses UUID, 32-character uppercase hexadecimal string format.Example:
1BC29B36F5D64B1B95F4BDBBCEA481BE -
hourValue: integer
(int32)
Hour part of timeExample:
14 -
id: string
(UUID)
Unique identifier(UUID, 32-character uppercase hexadecimal string) of the data elementExample:
1BC29B36F5D64B1B95F4BDBBCEA481BE -
innerRepeat: integer
(int32)
Indicates the repeat sequence number of a nested or inner repeating form within an outer repeating structure. This value is used to distinguish multiple occurrences of the same inner form for a given outer repeat instance.Example:
1 -
itemId: string
(UUID)
Unique identifier (UUID, 32-character uppercase hexadecimal string) of the question within a form. This ID corresponds to the reference code set by the study designer when creating or updating a form question in draft mode.Example:
DEADBEEFDEADBEEFDEADBEEFDEADBEEF -
lockedDateTime: string
(date-time)
Timestamp when the data element lock state last changedExample:
2023-01-01T09:00:00Z -
lockedStatus: string
Lock state of the data element. Values LOCKED, UNLOCKED, NEVER_LOCKEDExample:
LOCKED -
measureUnit: string
Minimum Length:
0Maximum Length:64Measurement unitExample:mg/dL -
minuteValue: integer
(int32)
Minute part of timeExample:
30 -
monthValue: integer
(int32)
Month part of dateExample:
10 -
normalizedUnitId: string
Identifier of normalized unitExample:
A78AD8C31CD843CD8B847C06C0420FF5 -
normalizedValue: string
Minimum Length:
0Maximum Length:100Normalized value if applicableExample:120 -
numValue: integer
(int32)
Numeric integer valueExample:
120 -
objectVersionNumber: number
Audit trail field that represents the version number of the data.Example:
14 -
originatorId: string
(UUID)
An identifier representing the system, or user that initiated the transaction (UUID, 32-character uppercase hexadecimal string).Example:
FEDCBA9876543210FEDCBA9876543210 -
outerRepeat: integer
(int32)
Indicates the repeat sequence number of the primary or outer repeating form. This value identifies each top-level occurrence of a repeating form and serves as the parent context for any nested inner repeats.Example:
1 -
propertyId: string
(UUID)
Unique Identifier (UUID, 32-character uppercase hexadecimal string) of the property.Example:
1BC29B36F5D64B1B95F4BDBBCEA481BE -
propertyVersionStart: string
(date-time)
Study version startExample:
2023-01-01T09:00:00Z -
reason: string
Minimum Length:
0Maximum Length:255Reason associated with the data element changeExample:Initial entry -
repeatFormNumber: integer
(int32)
Represents the ordinal number assigned to a repeated instance of a data collection form. It uniquely identifies each occurrence of a repeating form for a subject when multiple instances of the form.Example:
1 -
repeatSequenceNumber: integer
(int32)
Indicates the order of occurrence for a repeating form instance, used to distinguish between multiple repetitions of the same form.Example:
1 -
secondValue: integer
(int32)
Second part of timeExample:
31 -
signedStatus: string
Signature status of the data element, can have Values NOT_APPLICABLE, SIGNEDExample:
SIGNED -
siteId: string
(UUID)
Unique identifier of the site. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
ABCDEF1234567890ABCDEF1234567890 -
studyId: string
(UUID)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
ABCDEF1234567890ABCDEF1234567890 -
studyName: string
Minimum Length:
0Maximum Length:100Study nameExample:STUDY-ABC -
studyVersion(required): string
Minimum Length:
0Maximum Length:100String representing the version of the study. Helps track changes in form or study design.Example:3.0.0.1 -
subjectId: string
(UUID)
Unique identifier of the subject. Used to represent a participant enrolled in a study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
10F75668189F422F9A461A315D211111 -
targets: array
targets
List of display or rule targets associated with this data element
-
transactionEnd: string
(date-time)
The date and time at which the transaction processing completed.Example:
2025-10-16T14:30:31.892Z -
transactionStart: string
(date-time)
The date and time at which the transaction processing began.Example:
2025-10-16T14:30:31.892Z -
userId: string
(uuid)
Unique user identifier representing the clinicalone user who modified or interacted with the subject record. Uses UUID in a 32-character uppercase hexadecimal string format.
-
validationFailure: string
Minimum Length:
0Maximum Length:32767Validation failure details if anyExample:Incorrect values not allowed -
validationStatus: string
Minimum Length:
0Maximum Length:25Validation status of the data element. The validation status can be null or SUCCESS.Example:SUCCESS -
value: string
Minimum Length:
0Maximum Length:4000Raw value captured for the itemExample:120 -
variableId: string
(UUID)
Variable identifier (UUID, 32-character uppercase hexadecimal string) in uppercase hex format.Example:
0123456789ABCDEF0123456789ABCDEF -
vendorCode: string
Minimum Length:
0Maximum Length:100Vendor code if providedExample:VENDOR1 -
verifiedStatus: string
Verification status of the data element can have Values NOT_APPLICABLE, VERIFIEDExample:
VERIFIED -
versionStart: string
(date-time)
The timestamp marking the beginning of the validity period for this record version within the system.Example:
2025-10-16T14:30:31.892Z -
yearValue: integer
(int32)
Year part of dateExample:
2025
Nested Schema : targets
Type:
arrayList of display or rule targets associated with this data element
Show Source
Example:
[
"93CC828113AC439181071CB44D2C6FE5.93CC828113AC439181071CB44D2C6FE5",
"93CC828113AC439181071CB44D2C6FE5.93CC828113AC439181071CB44D2C6FE7"
]Examples
Back to Top
Response
Supported Media Types
- application/json
200 Response
Success
Root Schema : DataElementDto143
Type:
objectData element response details including cleared child data elements and cleared labs
Show Source
-
clearedChildDataElements: array
clearedChildDataElements
Child data elements cleared by the update
-
clearedLabs: array
clearedLabs
Labs cleared by the update
-
comment: string
Minimum Length:
0Maximum Length:2048Comment for the data element changeExample:Captured by device -
dataFlag: string
(UUID)
Unique Data flag identifier(UUID, 32-character uppercase hexadecimal string).Example:
1BC29B36F5D64B1B95F4BDBBCEA481BE -
dateTimeValueUTC: string
(date-time)
Date-time value in UTCExample:
2025-10-16T14:30:31.892Z -
dayValue: integer
(int32)
Day part of dateExample:
16 -
eventId: string
(UUID)
Unique identifier(UUID, 32-character uppercase hexadecimal string) of the clinical event. A clinical event can be, for example: Screening, Randomization, Visit 1, etc. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
ADF5A7800A954FA5B831E7B6B9CA39A9 -
eventInstanceNum: integer
(int32)
Numeric value representing the instance number of the event. Used for repeated or unscheduled visits (e.g., 1, 2, 3). It is null for scheduled events.Example:
1 -
floatValue: number
(decimal)
Numeric decimal valueExample:
12.34 -
formId: string
(UUID)
Unique identifier(UUID, 32-character uppercase hexadecimal string) representing the clinical form.Example:
40DB4EF4847849CCB24EFCCB71CDA436 -
formSectionId: string
(UUID)
Unique identifier of the table within a two section form or lab form. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
B6E0C7D5A1F3428C8B8B6A77C5E9D4AA -
freezedStatus: string
Freeze status of the data element,can have Values NOT_APPLICABLE, FROZENExample:
FROZEN -
hdiId: string
(UUID)
Stores the ID as received from Oracle Clinical Conector (OCC). It could be different for each data element in a form, but can also be the same. Uses UUID, 32-character uppercase hexadecimal string format.Example:
1BC29B36F5D64B1B95F4BDBBCEA481BE -
hourValue: integer
(int32)
Hour part of timeExample:
14 -
id: string
(UUID)
Unique identifier(UUID, 32-character uppercase hexadecimal string) of the data elementExample:
1BC29B36F5D64B1B95F4BDBBCEA481BE -
innerRepeat: integer
(int32)
Indicates the repeat sequence number of a nested or inner repeating form within an outer repeating structure. This value is used to distinguish multiple occurrences of the same inner form for a given outer repeat instance.Example:
1 -
itemId: string
(UUID)
Unique identifier (UUID, 32-character uppercase hexadecimal string) of the question within a form. This ID corresponds to the reference code set by the study designer when creating or updating a form question in draft mode.Example:
DEADBEEFDEADBEEFDEADBEEFDEADBEEF -
lockedDateTime: string
(date-time)
Timestamp when the data element lock state last changedExample:
2023-01-01T09:00:00Z -
lockedStatus: string
Lock state of the data element. Values LOCKED, UNLOCKED, NEVER_LOCKEDExample:
LOCKED -
measureUnit: string
Minimum Length:
0Maximum Length:64Measurement unitExample:mg/dL -
minuteValue: integer
(int32)
Minute part of timeExample:
30 -
monthValue: integer
(int32)
Month part of dateExample:
10 -
normalizedUnitId: string
Identifier of normalized unitExample:
A78AD8C31CD843CD8B847C06C0420FF5 -
normalizedValue: string
Minimum Length:
0Maximum Length:100Normalized value if applicableExample:120 -
numValue: integer
(int32)
Numeric integer valueExample:
120 -
objectVersionNumber: number
Audit trail field that represents the version number of the data.Example:
14 -
operationType: string
Operation type on the record, can have values CREATED, MODIFIED or REMOVEDExample:
MODIFIED -
originatorId: string
(UUID)
An identifier representing the system, or user that initiated the transaction (UUID, 32-character uppercase hexadecimal string).Example:
FEDCBA9876543210FEDCBA9876543210 -
outerRepeat: integer
(int32)
Indicates the repeat sequence number of the primary or outer repeating form. This value identifies each top-level occurrence of a repeating form and serves as the parent context for any nested inner repeats.Example:
1 -
propertyId: string
(UUID)
Unique Identifier (UUID, 32-character uppercase hexadecimal string) of the property.Example:
1BC29B36F5D64B1B95F4BDBBCEA481BE -
propertyVersionStart: string
(date-time)
Study version startExample:
2023-01-01T09:00:00Z -
reason: string
Minimum Length:
0Maximum Length:255Reason associated with the data element changeExample:Initial entry -
repeatFormNumber: integer
(int32)
Represents the ordinal number assigned to a repeated instance of a data collection form. It uniquely identifies each occurrence of a repeating form for a subject when multiple instances of the form.Example:
1 -
repeatSequenceNumber: integer
(int32)
Indicates the order of occurrence for a repeating form instance, used to distinguish between multiple repetitions of the same form.Example:
1 -
secondValue: integer
(int32)
Second part of timeExample:
31 -
signedStatus: string
Signature status of the data element, can have Values NOT_APPLICABLE, SIGNEDExample:
SIGNED -
siteId: string
(UUID)
Unique identifier of the site. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
ABCDEF1234567890ABCDEF1234567890 -
studyId: string
(UUID)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
ABCDEF1234567890ABCDEF1234567890 -
studyName: string
Minimum Length:
0Maximum Length:100Study nameExample:STUDY-ABC -
studyVersion(required): string
Minimum Length:
0Maximum Length:100String representing the version of the study. Helps track changes in form or study design.Example:3.0.0.1 -
subjectId: string
(UUID)
Unique identifier of the subject. Used to represent a participant enrolled in a study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
10F75668189F422F9A461A315D211111 -
targets: array
targets
List of display or rule targets associated with this data element
-
transactionEnd: string
(date-time)
The date and time at which the transaction processing completed.Example:
2025-10-16T14:30:31.892Z -
transactionStart: string
(date-time)
The date and time at which the transaction processing began.Example:
2025-10-16T14:30:31.892Z -
userId: string
(uuid)
Unique user identifier representing the clinicalone user who modified or interacted with the subject record. Uses UUID in a 32-character uppercase hexadecimal string format.
-
validationFailure: string
Minimum Length:
0Maximum Length:32767Validation failure details if anyExample:Incorrect values not allowed -
validationStatus: string
Minimum Length:
0Maximum Length:25Validation status of the data element. The validation status can be null or SUCCESS.Example:SUCCESS -
value: string
Minimum Length:
0Maximum Length:4000Raw value captured for the itemExample:120 -
variableId: string
(UUID)
Variable identifier (UUID, 32-character uppercase hexadecimal string) in uppercase hex format.Example:
0123456789ABCDEF0123456789ABCDEF -
vendorCode: string
Minimum Length:
0Maximum Length:100Vendor code if providedExample:VENDOR1 -
verifiedStatus: string
Verification status of the data element can have Values NOT_APPLICABLE, VERIFIEDExample:
VERIFIED -
versionEnd: string
(date-time)
The end date until which the data is applicable or valid.Example:
3099-12-31T00:00:00Z -
versionStart: string
(date-time)
The timestamp marking the beginning of the validity period for this record version within the system.Example:
2025-10-16T14:30:31.892Z -
yearValue: integer
(int32)
Year part of dateExample:
2025
Nested Schema : clearedChildDataElements
Type:
arrayChild data elements cleared by the update
Show Source
-
Array of:
object DataElementDto141
Data element response details including operation type and version end timestamp
Nested Schema : clearedLabs
Type:
arrayLabs cleared by the update
Show Source
-
Array of:
object DCPropertyDto
Laboratory property details associated with a data element.
Nested Schema : targets
Type:
arrayList of display or rule targets associated with this data element
Show Source
Example:
[
"93CC828113AC439181071CB44D2C6FE5.93CC828113AC439181071CB44D2C6FE5",
"93CC828113AC439181071CB44D2C6FE5.93CC828113AC439181071CB44D2C6FE7"
]Nested Schema : DataElementDto141
Type:
objectData element response details including operation type and version end timestamp
Show Source
-
comment: string
Minimum Length:
0Maximum Length:2048Comment for the data element changeExample:Captured by device -
dataFlag: string
(UUID)
Unique Data flag identifier(UUID, 32-character uppercase hexadecimal string).Example:
1BC29B36F5D64B1B95F4BDBBCEA481BE -
dateTimeValueUTC: string
(date-time)
Date-time value in UTCExample:
2025-10-16T14:30:31.892Z -
dayValue: integer
(int32)
Day part of dateExample:
16 -
eventId: string
(UUID)
Unique identifier(UUID, 32-character uppercase hexadecimal string) of the clinical event. A clinical event can be, for example: Screening, Randomization, Visit 1, etc. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
ADF5A7800A954FA5B831E7B6B9CA39A9 -
eventInstanceNum: integer
(int32)
Numeric value representing the instance number of the event. Used for repeated or unscheduled visits (e.g., 1, 2, 3). It is null for scheduled events.Example:
1 -
floatValue: number
(decimal)
Numeric decimal valueExample:
12.34 -
formId: string
(UUID)
Unique identifier(UUID, 32-character uppercase hexadecimal string) representing the clinical form.Example:
40DB4EF4847849CCB24EFCCB71CDA436 -
formSectionId: string
(UUID)
Unique identifier of the table within a two section form or lab form. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
B6E0C7D5A1F3428C8B8B6A77C5E9D4AA -
freezedStatus: string
Freeze status of the data element,can have Values NOT_APPLICABLE, FROZENExample:
FROZEN -
hdiId: string
(UUID)
Stores the ID as received from Oracle Clinical Conector (OCC). It could be different for each data element in a form, but can also be the same. Uses UUID, 32-character uppercase hexadecimal string format.Example:
1BC29B36F5D64B1B95F4BDBBCEA481BE -
hourValue: integer
(int32)
Hour part of timeExample:
14 -
id: string
(UUID)
Unique identifier(UUID, 32-character uppercase hexadecimal string) of the data elementExample:
1BC29B36F5D64B1B95F4BDBBCEA481BE -
innerRepeat: integer
(int32)
Indicates the repeat sequence number of a nested or inner repeating form within an outer repeating structure. This value is used to distinguish multiple occurrences of the same inner form for a given outer repeat instance.Example:
1 -
itemId: string
(UUID)
Unique identifier (UUID, 32-character uppercase hexadecimal string) of the question within a form. This ID corresponds to the reference code set by the study designer when creating or updating a form question in draft mode.Example:
DEADBEEFDEADBEEFDEADBEEFDEADBEEF -
lockedDateTime: string
(date-time)
Timestamp when the data element lock state last changedExample:
2023-01-01T09:00:00Z -
lockedStatus: string
Lock state of the data element. Values LOCKED, UNLOCKED, NEVER_LOCKEDExample:
LOCKED -
measureUnit: string
Minimum Length:
0Maximum Length:64Measurement unitExample:mg/dL -
minuteValue: integer
(int32)
Minute part of timeExample:
30 -
monthValue: integer
(int32)
Month part of dateExample:
10 -
normalizedUnitId: string
Identifier of normalized unitExample:
A78AD8C31CD843CD8B847C06C0420FF5 -
normalizedValue: string
Minimum Length:
0Maximum Length:100Normalized value if applicableExample:120 -
numValue: integer
(int32)
Numeric integer valueExample:
120 -
objectVersionNumber: number
Audit trail field that represents the version number of the data.Example:
14 -
operationType: string
Operation type on the record, can have values CREATED, MODIFIED or REMOVEDExample:
MODIFIED -
originatorId: string
(UUID)
An identifier representing the system, or user that initiated the transaction (UUID, 32-character uppercase hexadecimal string).Example:
FEDCBA9876543210FEDCBA9876543210 -
outerRepeat: integer
(int32)
Indicates the repeat sequence number of the primary or outer repeating form. This value identifies each top-level occurrence of a repeating form and serves as the parent context for any nested inner repeats.Example:
1 -
propertyId: string
(UUID)
Unique Identifier (UUID, 32-character uppercase hexadecimal string) of the property.Example:
1BC29B36F5D64B1B95F4BDBBCEA481BE -
propertyVersionStart: string
(date-time)
Study version startExample:
2023-01-01T09:00:00Z -
reason: string
Minimum Length:
0Maximum Length:255Reason associated with the data element changeExample:Initial entry -
repeatFormNumber: integer
(int32)
Represents the ordinal number assigned to a repeated instance of a data collection form. It uniquely identifies each occurrence of a repeating form for a subject when multiple instances of the form.Example:
1 -
repeatSequenceNumber: integer
(int32)
Indicates the order of occurrence for a repeating form instance, used to distinguish between multiple repetitions of the same form.Example:
1 -
secondValue: integer
(int32)
Second part of timeExample:
31 -
signedStatus: string
Signature status of the data element, can have Values NOT_APPLICABLE, SIGNEDExample:
SIGNED -
siteId: string
(UUID)
Unique identifier of the site. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
ABCDEF1234567890ABCDEF1234567890 -
studyId: string
(UUID)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
ABCDEF1234567890ABCDEF1234567890 -
studyName: string
Minimum Length:
0Maximum Length:100Study nameExample:STUDY-ABC -
studyVersion(required): string
Minimum Length:
0Maximum Length:100String representing the version of the study. Helps track changes in form or study design.Example:3.0.0.1 -
subjectId: string
(UUID)
Unique identifier of the subject. Used to represent a participant enrolled in a study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
10F75668189F422F9A461A315D211111 -
targets: array
targets
List of display or rule targets associated with this data element
-
transactionEnd: string
(date-time)
The date and time at which the transaction processing completed.Example:
2025-10-16T14:30:31.892Z -
transactionStart: string
(date-time)
The date and time at which the transaction processing began.Example:
2025-10-16T14:30:31.892Z -
userId: string
(uuid)
Unique user identifier representing the clinicalone user who modified or interacted with the subject record. Uses UUID in a 32-character uppercase hexadecimal string format.
-
validationFailure: string
Minimum Length:
0Maximum Length:32767Validation failure details if anyExample:Incorrect values not allowed -
validationStatus: string
Minimum Length:
0Maximum Length:25Validation status of the data element. The validation status can be null or SUCCESS.Example:SUCCESS -
value: string
Minimum Length:
0Maximum Length:4000Raw value captured for the itemExample:120 -
variableId: string
(UUID)
Variable identifier (UUID, 32-character uppercase hexadecimal string) in uppercase hex format.Example:
0123456789ABCDEF0123456789ABCDEF -
vendorCode: string
Minimum Length:
0Maximum Length:100Vendor code if providedExample:VENDOR1 -
verifiedStatus: string
Verification status of the data element can have Values NOT_APPLICABLE, VERIFIEDExample:
VERIFIED -
versionEnd: string
(date-time)
The end date until which the data is applicable or valid.Example:
3099-12-31T00:00:00Z -
versionStart: string
(date-time)
The timestamp marking the beginning of the validity period for this record version within the system.Example:
2025-10-16T14:30:31.892Z -
yearValue: integer
(int32)
Year part of dateExample:
2025
Nested Schema : targets
Type:
arrayList of display or rule targets associated with this data element
Show Source
Example:
[
"93CC828113AC439181071CB44D2C6FE5.93CC828113AC439181071CB44D2C6FE5",
"93CC828113AC439181071CB44D2C6FE5.93CC828113AC439181071CB44D2C6FE7"
]Nested Schema : DCPropertyDto
Type:
objectLaboratory property details associated with a data element.
Show Source
-
comment: string
CommentExample:
Cleared due to verified lab correction -
id: string
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the recordExample:
1BC29B36F5D64B1B95F4BDBBCEA481BE -
labId: string
Unique identifier (UUID, 32-character uppercase hexadecimal string) of the lab normals record. Include for update requests; omit for new create.Example:
40DB4EF4847849CCB24EFCCB71CDA436 -
outerRepeat: integer
(int32)
Indicates the repeat sequence number of the primary or outer repeating form. This value identifies each top-level occurrence of a repeating form and serves as the parent context for any nested inner repeats.Example:
1 -
reason: string
ReasonExample:
Data cleared by monitor
Examples
400 Response
Bad request.
Root Schema : DcsResponse
Type:
Show Source
object-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
-
status: string
-
version: integer
(int32)
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectNested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Example:
{
"field":"studyId",
"reason":"Invalid value"
}